Package org.apache.tomcat.util.net

## Class NioEndpoint.PollerEvent

- java.lang.Object
- - org.apache.tomcat.util.net.NioEndpoint.PollerEvent

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.PollerEvent
    extends java.lang.Object

PollerEvent, cacheable object for poller events to avoid GC

### Constructor Summary

Constructors
`PollerEvent​(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getInterestOps()`
`NioEndpoint.NioSocketWrapper` `getSocketWrapper()`
`void` `reset()`
`void` `reset​(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PollerEvent

    public PollerEvent​(NioEndpoint.NioSocketWrapper socketWrapper,
                       int intOps)

### Method Detail

#### reset

    public void reset​(NioEndpoint.NioSocketWrapper socketWrapper,
                      int intOps)

#### getSocketWrapper

    public NioEndpoint.NioSocketWrapper getSocketWrapper()

#### getInterestOps

    public int getInterestOps()

#### reset

    public void reset()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`